FROM openshift/golang-builder:1.13 AS build
ENV __doozer=update BUILD_RELEASE=202008100413.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202008100413.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=5f78627add1f3a7e2bef648fde66222e14515b43 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_VERSION=v1.16.0+5f78627 OS_GIT_COMMIT=5f78627 OS_GIT_VERSION=4.5.0-202008100413.p0-5f78627 SOURCE_DATE_EPOCH=1596467248 SOURCE_GIT_COMMIT=5f78627add1f3a7e2bef648fde66222e14515b43 SOURCE_GIT_TAG=0.14.0-1164-g5f78627a SOURCE_GIT_URL=https://github.com/kube-reporting/metering-operator 

COPY . /go/src/github.com/kube-reporting/metering-operator
WORKDIR /go/src/github.com/kube-reporting/metering-operator

ENV GOCACHE='/tmp'
RUN make reporting-operator-bin RUN_UPDATE_CODEGEN=false CHECK_GO_FILES=false

FROM openshift/ose-base:v4.5.0.20200810.041310
ENV __doozer=update BUILD_RELEASE=202008100413.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202008100413.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=5f78627add1f3a7e2bef648fde66222e14515b43 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_VERSION=v1.16.0+5f78627 OS_GIT_COMMIT=5f78627 OS_GIT_VERSION=4.5.0-202008100413.p0-5f78627 SOURCE_DATE_EPOCH=1596467248 SOURCE_GIT_COMMIT=5f78627add1f3a7e2bef648fde66222e14515b43 SOURCE_GIT_TAG=0.14.0-1164-g5f78627a SOURCE_GIT_URL=https://github.com/kube-reporting/metering-operator 

RUN yum install --setopt=skip_missing_names_on_install=False -y \
        ca-certificates bash

COPY --from=build /go/src/github.com/kube-reporting/metering-operator/bin/reporting-operator /usr/local/bin/reporting-operator


ENTRYPOINT ["reporting-operator"]
CMD ["start"]

USER 3001

LABEL \
        io.k8s.display-name="OpenShift metering-reporting-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages collecting data from monitoring and running reports." \
        io.openshift.tags="openshift" \
        maintainer="sd-operator-metering@redhat.com" \
        name="openshift/ose-metering-reporting-operator" \
        com.redhat.component="ose-metering-reporting-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Metering Operator" \
        release="202008100413.p0" \
        io.openshift.build.commit.id="5f78627add1f3a7e2bef648fde66222e14515b43" \
        io.openshift.build.source-location="https://github.com/kube-reporting/metering-operator" \
        io.openshift.build.commit.url="https://github.com/kube-reporting/metering-operator/commit/5f78627add1f3a7e2bef648fde66222e14515b43" \
        version="v4.5.0"

